Skip to main content
GET
/
markets
/
{market}
/
historical-candles
List Historical Candles
curl --request GET \
  --url https://api.paxos.com/v2/markets/{market}/historical-candles \
  --header 'Authorization: Bearer <token>'
{
  "market": "BTCUSD",
  "increment": "ONE_MINUTE",
  "items": [
    {
      "timestamp": "2020-01-17T18:37:00.000Z",
      "open": "9245.50",
      "high": "9355.50",
      "low": "9155.50",
      "close": "9345.50",
      "volume": "103200.50"
    },
    {
      "timestamp": "2020-01-17T18:36:00.000Z",
      "open": "9245.50",
      "high": "9355.50",
      "low": "9155.50",
      "close": "9345.50",
      "volume": "103200.50"
    },
    {
      "timestamp": "2020-01-17T18:35:00.000Z",
      "open": "9245.50",
      "high": "9355.50",
      "low": "9155.50",
      "close": "9345.50",
      "volume": "103200.50"
    }
  ],
  "next_page_cursor": "CgwI-Pr1vgYQyLLpswESJDM2NGU2MTgyLTRhZjctNDg4NC1iY2MxLTM0MThmNTA0MWYzYg"
}
OAuth Scope
exchange:historical_prices

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

market
enum<string>
required

Market of candle.

Available options:
ETHEUR,
ETHUSD,
BTCEUR,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
ETHGBP,
BTCGBP,
LTCGBP,
BCHGBP,
USDPUSD,
ETHBRL,
BTCBRL,
LTCBRL,
BCHBRL,
USDPGBP,
USDPBRL,
LINKUSD,
AAVEUSD,
UNIUSD,
AAVEMXN,
BCHMXN,
BTCMXN,
ETHMXN,
LTCMXN,
USDPMXN,
AAVEEUR,
BCHEUR,
LTCEUR,
LINKEUR,
PAXGEUR,
SOLEUR,
USDPEUR,
UNIEUR,
PYUSDEUR,
PYUSDGBP,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD

Query Parameters

max_data_points
integer<int64>

Maximum number of data points to return.

The time frame of the increments will be inferred by finding the most granular increment without breaching the max_data_points value based on a set of recorded data points.

range.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

range.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Results are ordered by timestamp. Specify the ordering of the results. Defaults to DESC.

Available options:
DESC,
ASC
page_cursor
string

Cursor for pagination

increment
enum<string>

Time increment between prices. Returns data inclusive from range.begin and range.end. Do not use with max_data_points, as this results in an error.

Available options:
ONE_MINUTE,
FIVE_MINUTES,
FIFTEEN_MINUTES,
THIRTY_MINUTES,
ONE_HOUR,
TWO_HOURS,
TWELVE_HOURS,
ONE_DAY,
ONE_WEEK,
TWO_WEEKS,
FOUR_WEEKS

Response

A successful response.

market
enum<string>
Available options:
ETHUSD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD
increment
enum<string>
Available options:
ONE_MINUTE,
FIVE_MINUTES,
FIFTEEN_MINUTES,
THIRTY_MINUTES,
ONE_HOUR,
TWO_HOURS,
TWELVE_HOURS,
ONE_DAY,
ONE_WEEK,
TWO_WEEKS,
FOUR_WEEKS
items
object[]

List of historical candles.

next_page_cursor
string

Cursor token required for fetching the next page.